Bug 142654 - 3c556B breaks 3c59x driver (gives MAC of "ff:ff:ff:ff:ff:ff") if ACPI enabled in kernel
3c556B breaks 3c59x driver (gives MAC of "ff:ff:ff:ff:ff:ff") if ACPI enabled...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-11 14:23 EST by Jon R. Kibler
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon R. Kibler 2004-12-11 14:23:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (WinNT; U)

Description of problem:
ACPI appears to be broken on the 3c556B NIC. Reports elsewhere 
indicate other related 3Com cards may have ACPI problems. (This bug 
appears to be related to, but slightly different from the bugs 
reported as Bugzilla report 81422 and Bugzilla report 107389.)

The primary indication of this specific problem is that the device's 
MAC address reports as all "FF"s. There are also numerous errors from 
the device logged in /var/log/messages... all indicating the device is 
not responding. 

The problem is corrected by turning off acpi in the kernel. Perhaps a 
better solution is the fix/kludge the 3c59x device driver (or kernel?) 
to automatically disable acpi whenever a device returns a MAC of all 
"FF"s and then try to reinitialize the device.

Comments 88 & 89 on Bugzilla report 107389 provide additional details. 
It was recommended that I open a new bug report (thus, this report), 
since I had additional specific details regarding this problem and the 
problem I am reporting is somewhat different from the original 107389 

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358 and kernel-2.6.9-1.6_FC2

How reproducible:

Steps to Reproduce:
1. Use IBM Thinkpad w/ 3Com 3c556B NIC and any ACPI enabled kernel 
past RH7.3
2. boot system
3. `ifconfig -a` should report MAC address of all "FF"s
4. edit grub.conf and add "acpi=off" (no quotes) to kernel line
5. reboot system
6. `ifconfig -a` should now report the correct MAC address and the 
interface should work correctly

Additional info:

There are A LOT of reports of problems with various 3Com laptop NICs 
-- both CardBus and PCMCIA. The acpi fix (which I found on a SuSE 
mailing list) would probably be a universal fix to most of these 
problems, and would probably fix all of the problems related to "all 
FFs" for a MAC address. Even if this bug is not fixed, there needs to 
be an easily located description of this problem that contains the 
acpi work-around until a fix is available. Locating a workable 
solution to this problem took about a day and a half of searching
Comment 1 Warren Togami 2004-12-11 16:17:37 EST

Please talk to these folks to get this issue into their unofficial
(but popular) FAQ.  You may also want to use
http://bugzilla.kernel.org/ and LKML to make sure upstream maintainers
see this issue, as they probably do not read RH Bugzilla.
Comment 2 Dave Jones 2005-02-24 00:32:27 EST
is this any better with the 2.6.10 based errata ?
Comment 3 Dave Jones 2005-04-16 00:43:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.